diff mbox series

[bionic:linux-meta-dell300x,1/1] UBUNTU: [Packaging] make linux-image-dell300x depend on linux-firmware and intel-microcode

Message ID 20201104102506.150257-2-jesse.sung@canonical.com
State New
Headers show
Series make linux-image-dell300x depend on linux-firmware and intel-microcode | expand

Commit Message

Wen-chien Jesse Sung Nov. 4, 2020, 10:25 a.m. UTC
BugLink: https://launchpad.net/bugs/1902851

Signed-off-by: Wen-chien Jesse Sung <jesse.sung@canonical.com>
---
 debian/control.d/dell300x | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Stefan Bader Nov. 4, 2020, 2:04 p.m. UTC | #1
On 04.11.20 11:25, Wen-chien Jesse Sung wrote:
> BugLink: https://launchpad.net/bugs/1902851
> 
> Signed-off-by: Wen-chien Jesse Sung <jesse.sung@canonical.com>
Acked-by: Stefan Bader <stefan.bader@canonical.com>
> ---

Though I lowered the importance to low. This does not mean we unnecessarily
delay it. I treat that as severity for the user and those packages can easily
installed manually.

-Stefan

>  debian/control.d/dell300x | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/debian/control.d/dell300x b/debian/control.d/dell300x
> index fd23874c..6fab42ec 100644
> --- a/debian/control.d/dell300x
> +++ b/debian/control.d/dell300x
> @@ -10,7 +10,7 @@ Package: linux-image-dell300x${variant:suffix}
>  Architecture: amd64
>  Section: kernel
>  Provides: ${dkms:zfs-modules} ${dkms:wireguard-linux-compat-modules}
> -Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-dell300x
> +Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-dell300x, linux-firmware, intel-microcode
>  Description: Linux kernel image for Dell Edge Gateway 300x systems.
>   This package will always depend on the latest kernel image available
>   for Dell Edge Gateway 300x systems.
>
diff mbox series

Patch

diff --git a/debian/control.d/dell300x b/debian/control.d/dell300x
index fd23874c..6fab42ec 100644
--- a/debian/control.d/dell300x
+++ b/debian/control.d/dell300x
@@ -10,7 +10,7 @@  Package: linux-image-dell300x${variant:suffix}
 Architecture: amd64
 Section: kernel
 Provides: ${dkms:zfs-modules} ${dkms:wireguard-linux-compat-modules}
-Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-dell300x
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-dell300x, linux-firmware, intel-microcode
 Description: Linux kernel image for Dell Edge Gateway 300x systems.
  This package will always depend on the latest kernel image available
  for Dell Edge Gateway 300x systems.